Subject: Re: Simple windows program won't compile
From: [email-masked] (root)

31 May 1997 06:14:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (theace)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "theace" at May 29, 97 03:32:28 pm
Original-Sender: [email-masked]

> 
>    Hello. I have a little problem that I was hoping someone could help
> with. I can not figure out why the following program won't compile
> without errors. If you don't see anything wrong with it, could you try
> compiling it and see if you have problems? Thank you.
> 
> Begin Program:
> 
> 
> #include <windows.h>
> 
> LRESULT CALLBACK MyFunc(HWND, UNIT, WPARAM, LPARAM);
                                ^^^^
'UNIT' doesn't exist... UINT does.
> 
[snip snip]
> 
> }
> 
> LRESULT CALLBACK MyFunc(HWND hwnd,UNIT message, WPARAM wParam, LPARAM lParam)
                                    ^^^^
Same as above

The problem with brains, is that they see what they want to see. Machines are
different. I have done this same kind of mistake many times, and can look
hundreds of times the same syntax error without seeing anything wrong with it!

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".